Subject: RE: FVWM: library problems

From: "Steffl, Erik" <[email-masked]>
Date: Wed, 8 Dec 1999 13:13:28 -0600

we have solaris too and I have been able to build the xpm and fvwm without
any problems. I used gcc for that purpose. so if you have problems with
binaries you can always try to compile the sources...

	erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Bob Woodside
> Sent: Tuesday, December 07, 1999 7:36 PM
> To: Ahmed Aden
> Cc: [email-masked]
> Subject: Re: FVWM: library problems
> 
> 
> Ahmed Aden wrote:
> > 
> > I get this message:
> > 
> > ld.so.1: /usr/local/X11/bin/fvwm2: fatal: libXpm.so.4.11: 
> open failed: No
> > such file or directory
> > 
> > I installed the pkg.tgz Solaris binary package, and (as 
> root) used pkgadd to
> > install it, and it seemed to install just fine.  Any help 
> from fvwm2 gurus
> > appreciated.
> 
> 	My bet is that you simply don't have the Xpm package 
> installed. Where'd
> you fetch the binary from, The-Archive-Formerly-Known-As-Sunsite
> (Metalab)? If so, I'm certain they'll have the version of the Xpm
> package that your FVWM binary was linked against, and it 
> should install
> smoothly in the standard place. I've had very good luck with their
> packages. (Wish they'd upgrade to a newer version of FVWM, though.)
> 
> 	I believe somebody suggested you might try building 
> FVWM from source
> without xpm support. Naaah...only as a last resort. You'll be much
> happier with xpm support, and there are many other apps that need it
> also.
> 
> 	Note that there's a discrepancy between the package 
> nomenclature and
> that of the libraries. The package named xpm-3.4k (or something like
> that - the 3.4k is the part you want to look for) will produce the
> library called libXpm.so.4.11.
> 
> 
> Cheers,
> Bob
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].